%global srcname jaydebeapi
%global sum     Bridge from JDBC database drivers to Python DB-API
%global desc    \
The JayDeBeApi module allows you to connect from Python code to databases using\
Java JDBC. It provides a Python DB-API v2.0 to that database.

%if 0%{?fedora} || 0%{?rhel} >= 7
%bcond_without python3
%endif

Name:           python-%{srcname}
Version:        1.1.1
Release:        2%{?dist}
Summary:        %{sum}

License:        GPLv3
URL:            https://github.com/baztian/%{srcname}
Source0:        https://github.com/baztian/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if %{with python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%endif


%description
%{desc}


%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

Requires:       python2-jpype

%description -n python2-%{srcname}
%{desc}


%if %{with python3}
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

Requires:       python%{python3_pkgversion}-jpype

%description -n python%{python3_pkgversion}-%{srcname}
%{desc}
%endif


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build

%if %{with python3}
%py3_build
%endif


%install
%py2_install

%if %{with python3}
%py3_install
%endif


%files -n python2-%{srcname}
%license COPYING COPYING.LESSER
%doc README.rst README_development.rst 
%{python2_sitelib}/*

%if %{with python3}
%files -n python%{python3_pkgversion}-%{srcname}
%license COPYING COPYING.LESSER
%doc README.rst README_development.rst
%{python3_sitelib}/*
%endif


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Aug 21 2017 Jakub Jedelsky <jakub.jedelsky@gmail.com> - 1.1.1-1
- Initial package
